﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ISectionItemService
    {
        Task<ServiceResult<bool>> Create(SectionItemCreateDto newSectionItem, int tenantId);
        Task<ServiceResult<bool>> Delete(int sectionItemId);
        Task<ServiceResult<bool>> OrderSectionItems(List<OrderDto> orderDtos);
    }
}
